<!DOCTYPE html>
<html>
<head>
</head>

<script>
const bar = () => alert('its a bar function');
</script>

<body ng-app class='container' ng-init="name = 'Maxim'">
  <input ng-model="name" type="text"/>
  <span ng-bind="name" id='span' ng-includes='i' ng-make-short='4'  > name </span>
  <ul>
    <h1 my-component> list</h1>
    <li> started for chech</li>
    <li  class='li' ng-repeat="letter in name">{{letter}}</li>
  </ul>
  <button ng-click='console.log("hi text")' ng-hide='name.length > 3' ng-uppercase > click me</button>
  <button class='check-btn' ng-click='bar()'> click me alert</button>
  <button ng-click='document.querySelector(".check-btn").innerText="some text on btn" '> one more click</button>
  <!-- <div ng-init='data=["anna", "Oles", "andrew"]'>
    <span ng-bind="data" > </span>
    <ol>
        <li ng-repeat="dataName in data">{{dataName}}</li>
    </ol>
  </div> -->

</body>











</html>